#delimit
*setmon 1;
clear;
set memory 20m;
capture log c;
log using output, replace text;
use data;

drop if betaald>500;
drop if cijfer>10;
drop if gezegd>500;
drop if leeftijd<16;
drop if leeftijd>100;
drop if geslacht>1;
drop if vaker>1; 
drop if checkin>1;

g leeftijdS = leeftijd*leeftijd;

g hulp = 160 * (hotel <= 3) 
       + 120 * ((hotel == 4) + (hotel == 5) + (hotel == 8) + (hotel == 9) + (hotel == 13) + (hotel == 14) + (hotel == 17) + (hotel == 23) + (hotel == 24) + (hotel == 25) + (hotel == 26) + (hotel == 29) + (hotel == 33))  
       +  80 * ((hotel == 6) + (hotel == 7) + (hotel == 10) + (hotel == 11) + (hotel == 12) + (hotel == 15) + (hotel == 16) + (hotel == 18) + (hotel == 19) + (hotel == 20) + (hotel == 21) + (hotel == 22) + (hotel == 27) + (hotel == 28) + (hotel == 30) + (hotel == 31) + (hotel == 32) + (hotel == 34) + (hotel == 35) + (hotel == 36)) ;

g alles = (betaald >= 0.9*hulp);
g niets = (betaald == 0);
g weinig = (betaald <= 0.1*hulp);

sum betaald if (checkin == 1);
sum alles if (checkin == 1);
sum niets if (checkin == 1);
sum weinig if (checkin == 1);
sum cijfer if (checkin == 1);
sum geslacht if (checkin == 1);
sum leeftijd if (checkin == 1);
sum belg if (checkin == 1);
sum ned if (checkin == 1);
sum vaker if (checkin == 1);
tab sterren if (checkin == 1);

sum betaald if (checkin == 0);
sum alles if (checkin == 0);
sum niets if (checkin == 0);
sum weinig if (checkin == 0);
sum cijfer if (checkin == 0);
sum geslacht if (checkin == 0);
sum leeftijd if (checkin == 0);
sum belg if (checkin == 0);
sum ned if (checkin == 0);
sum vaker if (checkin == 0);
tab sterren if (checkin == 0);

xi: regress betaald checkin gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel;
xi: regress betaald gezegd i.hotel if checkin == 1;
xi: regress betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 1;
xi: regress betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel cijfer if checkin == 1;
xi: regress betaald gezegd i.hotel if checkin == 0;
xi: regress betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 0;
xi: regress betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel cijfer if checkin == 0;

bsqreg betaald gezegd  if checkin == 1, quantile(20);
bsqreg betaald gezegd  if checkin == 1, quantile(50);
bsqreg betaald gezegd  if checkin == 1, quantile(80);

xi: bsqreg betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 1, quantile(20);
xi: bsqreg betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 1, quantile(50);
xi: bsqreg betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 1, quantile(80);

xi: bsqreg betaald gezegd i.hotel if checkin == 0, quantile(20);
xi: bsqreg betaald gezegd i.hotel if checkin == 0, quantile(50);
xi: bsqreg betaald gezegd i.hotel if checkin == 0, quantile(80);

xi: bsqreg betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 0, quantile(20);
xi: bsqreg betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 0, quantile(50);
xi: bsqreg betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 0, quantile(80);

xi: regress cijfer checkin gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel;
xi: regress cijfer gezegd i.hotel if checkin == 1;
xi: regress cijfer gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 1;
xi: regress cijfer gezegd i.hotel if checkin == 0;
xi: regress cijfer gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 0;

forvalues i=3/5 {;
	sum betaald if (checkin == 1 & sterren == `i');
	sum alles if (checkin == 1 & sterren == `i');
	sum niets if (checkin == 1 & sterren == `i');
	sum weinig if (checkin == 1 & sterren == `i');
	sum cijfer if (checkin == 1 & sterren == `i');
	sum betaald if (checkin == 0 & sterren == `i');
	sum alles if (checkin == 0 & sterren == `i');
	sum niets if (checkin == 0 & sterren == `i');
	sum weinig if (checkin == 0 & sterren == `i');
	sum cijfer if (checkin == 0 & sterren == `i');
	xi: regress betaald gezegd i.hotel if checkin == 1 & sterren ==`i';
	xi: regress betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 1 & sterren ==`i';
	xi: regress betaald gezegd geslacht leeftijd leeftijdS belg ned vaker cijfer i.hotel if checkin == 1 & sterren ==`i';
	xi: regress betaald gezegd i.hotel if checkin == 0 & sterren ==`i';
	xi: regress betaald gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 0 & sterren ==`i';
	xi: regress betaald gezegd geslacht leeftijd leeftijdS belg ned vaker cijfer i.hotel if checkin == 0 & sterren ==`i';
	xi: regress cijfer gezegd i.hotel if checkin == 1 & sterren ==`i';
	xi: regress cijfer gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 1 & sterren ==`i';
	xi: regress cijfer gezegd i.hotel if checkin == 0 & sterren ==`i';
	xi: regress cijfer gezegd geslacht leeftijd leeftijdS belg ned vaker i.hotel if checkin == 0 & sterren ==`i';
	};